View Issue Details

IDProjectCategoryView StatusLast Update
0031275Open CASCADEOCCT:Visualizationpublic2020-12-02 17:12
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031275: Visualization, TKOpenGl - handle normal-map texture with Path-Tracing
DescriptionPath tracing currently ignores normal-map texture, which causes unexpected rendering results.
TagsNo tags attached.
Test case numberv3d/raytrace/normal_map

Attached Files

  • helmet_pt_KO.png (128,578 bytes)
  • helmet_pt_OK.png (130,134 bytes)

Relationships

related to 0031300 closedbugmaster Visualization, TKOpenGl - Ray Tracing ignores FLAT shading mode 
child of 0031096 closedbugmaster Visualization, TKOpenGl - support metallic-roughness texture mapping 

Activities

git

2020-01-21 17:46

administrator   ~0089987

Branch CR31275 has been created by iko.

SHA-1: 1a84d777bfdc9ea39b0d1575a6775ecf5bed3201


Detailed log of new commits:

Author: iko
Date: Tue Jan 21 16:01:03 2020 +0300

    # work in progress

git

2020-01-22 17:17

administrator   ~0089990

Branch CR31275 has been updated forcibly by iko.

SHA-1: 491496e360db7c1e5fbc3aefd610b7482a895b1e

git

2020-01-23 11:06

administrator   ~0090001

Branch CR31275 has been updated forcibly by iko.

SHA-1: ecfb2abb81d9335af8c39526f17d6d17156f9520

kgv

2020-01-23 12:25

developer   ~0090009

+  Standard_Boolean                  IgnoreNormalMap;

ToIgnoreNormalMapInRayTracing;

     + EOL"vec3  Normal;"
+    + Shaders_TangentSpaceNormal_glsl
     + aLights

Please include only when function is actually used.

kgv

2020-01-23 13:00

developer  

helmet_pt_KO.png (128,578 bytes)

kgv

2020-01-23 13:00

developer  

helmet_pt_OK.png (130,134 bytes)

kgv

2020-01-23 15:02

developer   ~0090019

@@ -33,6 +33,6 @@ static const char Shaders_PointLightAttenuation_glsl[] =
   "  if (theRange == 0.0)\n"
   "  {\n"
   "    return 1.0 / (theConstAttenuation + theLinearAttenuation * theDistance);\n"
   "  }\n"
   "  return occRangedPointLightAttenuation (theDistance, theRange);\n"
-  "}\n";
+  "}";

Please add missing newline.

git

2020-01-24 11:29

administrator   ~0090041

Branch CR31275 has been updated forcibly by iko.

SHA-1: d1f4cbe5c4bc93b598b0f86fd421e6fe1208681e

git

2020-01-24 13:40

administrator   ~0090043

Branch CR31275 has been updated forcibly by kgv.

SHA-1: 4e4030f71bc96b220a3d7e934bb3b138ebe67513

kgv

2020-01-24 13:40

developer   ~0090044

Please raise the patch.

bugmaster

2020-01-24 17:16

administrator   ~0090056

Combination -
OCCT branch : WEEK-4
master SHA - 6216ed573eba2e021c05ae79b13de3404ae2633d
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-4 SHA - 78d1418219e11e1effe871d7f2886b736d7b8bdf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16995.39000000029 / 17005.860000000113 [-0.06%]
Products
Total CPU difference: 12132.210000000103 / 10725.040000000088 [+13.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 18437.984375 / 18453.859375 [-0.09%]
Products
Total CPU difference: 14113.03125 / 12655.59375 [+11.52%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-01-25 13:26

administrator   ~0090059

Branch CR31275 has been deleted by inv.

SHA-1: 4e4030f71bc96b220a3d7e934bb3b138ebe67513

Related Changesets

occt: master 78607702

2020-01-21 13:01:03

iko


Committer: bugmaster Details Diff
0031275: Visualization, TKOpenGl - handle normal-map texture with Path-Tracing

Base normal map support has been implemented in path tracing (just geometry normal replacement).
Smooth normal adaptation has been implemeneted in order to avoid black areas artefacts during path tracing.
Tangent normal space calcuation has been moved to separate unified function.
Tangent space orthogonalization algorithm has been changed in order to handle all orientations and combinations of UV coordinates.
Affected Issues
0031275
mod - src/Graphic3d/Graphic3d_RenderingParams.hxx Diff File
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff File
mod - src/OpenGl/OpenGl_View.hxx Diff File
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff File
mod - src/Shaders/FILES Diff File
mod - src/Shaders/PathtraceBase.fs Diff File
mod - src/Shaders/PointLightAttenuation.glsl Diff File
mod - src/Shaders/RaytraceBase.fs Diff File
mod - src/Shaders/Shaders_PathtraceBase_fs.pxx Diff File
mod - src/Shaders/Shaders_RaytraceBase_fs.pxx Diff File
add - src/Shaders/Shaders_TangentSpaceNormal_glsl.pxx Diff File
add - src/Shaders/TangentSpaceNormal.glsl Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File
add - tests/v3d/raytrace/normal_map Diff File

Issue History

Date Modified Username Field Change
2019-12-25 23:06 kgv New Issue
2019-12-25 23:06 kgv Assigned To => iko
2019-12-25 23:07 kgv Relationship added child of 0031096
2019-12-25 23:08 kgv Status new => assigned
2020-01-14 19:55 kgv Relationship added related to 0031300
2020-01-21 17:46 git Note Added: 0089987
2020-01-22 17:17 git Note Added: 0089990
2020-01-23 11:06 git Note Added: 0090001
2020-01-23 12:25 kgv Note Added: 0090009
2020-01-23 13:00 kgv File Added: helmet_pt_KO.png
2020-01-23 13:00 kgv File Added: helmet_pt_OK.png
2020-01-23 15:02 kgv Note Added: 0090019
2020-01-24 11:29 git Note Added: 0090041
2020-01-24 13:40 git Note Added: 0090043
2020-01-24 13:40 kgv Note Added: 0090044
2020-01-24 13:40 kgv Assigned To iko => bugmaster
2020-01-24 13:40 kgv Severity minor => feature
2020-01-24 13:40 kgv Status assigned => resolved
2020-01-24 13:40 kgv Status resolved => reviewed
2020-01-24 17:16 bugmaster Note Added: 0090056
2020-01-24 17:17 bugmaster Test case number => v3d/raytrace/normal_map
2020-01-24 17:19 bugmaster Status reviewed => tested
2020-01-25 13:09 bugmaster Changeset attached => occt master 78607702
2020-01-25 13:09 bugmaster Status tested => verified
2020-01-25 13:09 bugmaster Resolution open => fixed
2020-01-25 13:26 git Note Added: 0090059
2020-12-02 16:41 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.